using System;

internal sealed class Delegate728 : MulticastDelegate
{
	public extern double Invoke(object object_0);

	public static double smethod_0(object object_0, Delegate728 delegate728_1)
	{
		return delegate728_1(object_0);
	}

	public extern Delegate728(object object_0, IntPtr intptr_0);

	static Delegate728()
	{
		Class10.smethod_13(typeof(Delegate728).TypeHandle);
	}

	internal static Delegate728 delegate728_0;
}
